% Author:   Thomas Oliver Jelly & Angela Busse
% Location: University of Glasgow & Melbourne
% Purpose:  Step 3 of the MARS algorithm

function [nls] = mars_stepthree(corr,nls);
 
    % Initial guess to solve the non-linear system
    [nls.init] = nls_init(corr.rhs);

    % Solve non-linear system to determine the coefficients
    [nls.coeff,nls.success] = nls_solve(nls.init,nls.max_iter,...
                                        nls.epsilon,corr.rhs);

    % Evaluate RHS of the non-linear system using coeffcients
    [nls.sol] = nls_rhs(nls.coeff,corr.rhs);
