% Author:   Thomas Oliver Jelly
% Location: University of Glasgow
% Purpose:  

function []= mars_viz(hmap,hpick);

  X = hmap.X;
  Y = hmap.Y;
  Z = hmap.filtered(:,:,hpick);

  % Surface plot
  figure('Position',[100 100 1000 450])
    surf(Y,X,Z,'edgecolor','none');
    daspect([1 1 30])
    camlight; colormap jet; shading interp
    xlabel('y'); ylabel('x'); zlabel('z/\sigma')
    cb=colorbar;
    title(cb,'z/\sigma')
    colormap(gray.^0.5); caxis([-3 +3])
    set(gca,'fontsize',18,'Projection','perspective')
    xlim([0.d0 hmap.Ly])
    ylim([0.d0 hmap.Lx])
    zlim([-10 +10])
