% Author:   Thomas Oliver Jelly
% Location: University of Glasgow
% Purpose:  Initial guess for coefficients

function [a0]= nls_init(Rpq);

  % Get dimensions of RHS
  [n,m]= size(Rpq);

  % Assemble inital guess (see Patir, 1978)
  c=zeros(n,m);
  for i=1:n
    for j=1:m
      c(i,j)= Rpq(i,j)/( (n-i+1)*(m-j+1) );
    end 
  end 
  c2=0.;
  for i=1:n
    for j=1:m
      c2= c2+ c(i,j)^2.d0;
    end
  end
  s2= Rpq(1,1)/c2;
  a0= sqrt(s2)*c;
