% Author:   Thomas Oliver Jelly
% Location: University of Glasgow
% Purpose:  Set up non-linear system

function [f]= nls_rhs(alpha,Rpq);

  % Get dimensions  
  [n,m]= size(Rpq);

  % Assemble non-linear system of equations
  f = zeros(n,m);
  for p=0:n-1
    for q=0:m-1
      for k=1:n-p
        for l=1:m-q
          f(p+1,q+1)=  f(p+1,q+1) + ( alpha(k,l)*alpha(k+p,l+q) ); 
        end
      end
    end
  end

  % Compute residual
  f = f - Rpq;
