% Author:   Thomas Oliver Jelly
% Location: University of Glasgow
% Purpose:  Solve non-linear equations using fsolve

function [sol,exitflag]= nls_solve(guess,max_iter,tol,rhs)

  f = @(guess)nls_rhs(guess,rhs);

%  options = optimoptions('fsolve','Display','iter','MaxIterations',max_iter,...
%                          'TolFun',tol,'TolX',tol,...
%                          'StepTolerance',tol,'FiniteDifferenceStepSize',eps^(1/3),...
%                          'maxPCGIter',50,'UseParallel',true);

  options = optimoptions('fsolve','Display','iter','MaxIter',max_iter,...
                          'TolFun',tol,'TolX',tol);
%                          'maxPCGIter',50,'UseParallel',true);

  [sol, iter, exitflag, output]= fsolve(f, guess, options);
